Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network74.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
74.0.0.0
Broadcast address
75.255.255.255
First usable
74.0.0.1
Last usable
75.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 4A000000 · Integer 1241513984 to 1275068415
Reverse DNS zones
74.in-addr.arpa
75.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001010.00000000.00000000.0000000074.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network01001010.00000000.00000000.0000000074.0.0.0
Broadcast01001011.11111111.11111111.1111111175.255.255.255
Split into smaller subnets/14

74.0.0.0/7 makes 128 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
174.0.0.0/1474.0.0.1 to 74.3.255.25474.3.255.255262,142
274.4.0.0/1474.4.0.1 to 74.7.255.25474.7.255.255262,142
374.8.0.0/1474.8.0.1 to 74.11.255.25474.11.255.255262,142
474.12.0.0/1474.12.0.1 to 74.15.255.25474.15.255.255262,142
574.16.0.0/1474.16.0.1 to 74.19.255.25474.19.255.255262,142
674.20.0.0/1474.20.0.1 to 74.23.255.25474.23.255.255262,142
774.24.0.0/1474.24.0.1 to 74.27.255.25474.27.255.255262,142
874.28.0.0/1474.28.0.1 to 74.31.255.25474.31.255.255262,142
974.32.0.0/1474.32.0.1 to 74.35.255.25474.35.255.255262,142
1074.36.0.0/1474.36.0.1 to 74.39.255.25474.39.255.255262,142
1174.40.0.0/1474.40.0.1 to 74.43.255.25474.43.255.255262,142
1274.44.0.0/1474.44.0.1 to 74.47.255.25474.47.255.255262,142
1374.48.0.0/1474.48.0.1 to 74.51.255.25474.51.255.255262,142
1474.52.0.0/1474.52.0.1 to 74.55.255.25474.55.255.255262,142
1574.56.0.0/1474.56.0.1 to 74.59.255.25474.59.255.255262,142
1674.60.0.0/1474.60.0.1 to 74.63.255.25474.63.255.255262,142
1774.64.0.0/1474.64.0.1 to 74.67.255.25474.67.255.255262,142
1874.68.0.0/1474.68.0.1 to 74.71.255.25474.71.255.255262,142
1974.72.0.0/1474.72.0.1 to 74.75.255.25474.75.255.255262,142
2074.76.0.0/1474.76.0.1 to 74.79.255.25474.79.255.255262,142
2174.80.0.0/1474.80.0.1 to 74.83.255.25474.83.255.255262,142
2274.84.0.0/1474.84.0.1 to 74.87.255.25474.87.255.255262,142
2374.88.0.0/1474.88.0.1 to 74.91.255.25474.91.255.255262,142
2474.92.0.0/1474.92.0.1 to 74.95.255.25474.95.255.255262,142
2574.96.0.0/1474.96.0.1 to 74.99.255.25474.99.255.255262,142
2674.100.0.0/1474.100.0.1 to 74.103.255.25474.103.255.255262,142
2774.104.0.0/1474.104.0.1 to 74.107.255.25474.107.255.255262,142
2874.108.0.0/1474.108.0.1 to 74.111.255.25474.111.255.255262,142
2974.112.0.0/1474.112.0.1 to 74.115.255.25474.115.255.255262,142
3074.116.0.0/1474.116.0.1 to 74.119.255.25474.119.255.255262,142
3174.120.0.0/1474.120.0.1 to 74.123.255.25474.123.255.255262,142
3274.124.0.0/1474.124.0.1 to 74.127.255.25474.127.255.255262,142
3374.128.0.0/1474.128.0.1 to 74.131.255.25474.131.255.255262,142
3474.132.0.0/1474.132.0.1 to 74.135.255.25474.135.255.255262,142
3574.136.0.0/1474.136.0.1 to 74.139.255.25474.139.255.255262,142
3674.140.0.0/1474.140.0.1 to 74.143.255.25474.143.255.255262,142
3774.144.0.0/1474.144.0.1 to 74.147.255.25474.147.255.255262,142
3874.148.0.0/1474.148.0.1 to 74.151.255.25474.151.255.255262,142
3974.152.0.0/1474.152.0.1 to 74.155.255.25474.155.255.255262,142
4074.156.0.0/1474.156.0.1 to 74.159.255.25474.159.255.255262,142
4174.160.0.0/1474.160.0.1 to 74.163.255.25474.163.255.255262,142
4274.164.0.0/1474.164.0.1 to 74.167.255.25474.167.255.255262,142
4374.168.0.0/1474.168.0.1 to 74.171.255.25474.171.255.255262,142
4474.172.0.0/1474.172.0.1 to 74.175.255.25474.175.255.255262,142
4574.176.0.0/1474.176.0.1 to 74.179.255.25474.179.255.255262,142
4674.180.0.0/1474.180.0.1 to 74.183.255.25474.183.255.255262,142
4774.184.0.0/1474.184.0.1 to 74.187.255.25474.187.255.255262,142
4874.188.0.0/1474.188.0.1 to 74.191.255.25474.191.255.255262,142
4974.192.0.0/1474.192.0.1 to 74.195.255.25474.195.255.255262,142
5074.196.0.0/1474.196.0.1 to 74.199.255.25474.199.255.255262,142
5174.200.0.0/1474.200.0.1 to 74.203.255.25474.203.255.255262,142
5274.204.0.0/1474.204.0.1 to 74.207.255.25474.207.255.255262,142
5374.208.0.0/1474.208.0.1 to 74.211.255.25474.211.255.255262,142
5474.212.0.0/1474.212.0.1 to 74.215.255.25474.215.255.255262,142
5574.216.0.0/1474.216.0.1 to 74.219.255.25474.219.255.255262,142
5674.220.0.0/1474.220.0.1 to 74.223.255.25474.223.255.255262,142
5774.224.0.0/1474.224.0.1 to 74.227.255.25474.227.255.255262,142
5874.228.0.0/1474.228.0.1 to 74.231.255.25474.231.255.255262,142
5974.232.0.0/1474.232.0.1 to 74.235.255.25474.235.255.255262,142
6074.236.0.0/1474.236.0.1 to 74.239.255.25474.239.255.255262,142
6174.240.0.0/1474.240.0.1 to 74.243.255.25474.243.255.255262,142
6274.244.0.0/1474.244.0.1 to 74.247.255.25474.247.255.255262,142
6374.248.0.0/1474.248.0.1 to 74.251.255.25474.251.255.255262,142
6474.252.0.0/1474.252.0.1 to 74.255.255.25474.255.255.255262,142
6575.0.0.0/1475.0.0.1 to 75.3.255.25475.3.255.255262,142
6675.4.0.0/1475.4.0.1 to 75.7.255.25475.7.255.255262,142
6775.8.0.0/1475.8.0.1 to 75.11.255.25475.11.255.255262,142
6875.12.0.0/1475.12.0.1 to 75.15.255.25475.15.255.255262,142
6975.16.0.0/1475.16.0.1 to 75.19.255.25475.19.255.255262,142
7075.20.0.0/1475.20.0.1 to 75.23.255.25475.23.255.255262,142
7175.24.0.0/1475.24.0.1 to 75.27.255.25475.27.255.255262,142
7275.28.0.0/1475.28.0.1 to 75.31.255.25475.31.255.255262,142
7375.32.0.0/1475.32.0.1 to 75.35.255.25475.35.255.255262,142
7475.36.0.0/1475.36.0.1 to 75.39.255.25475.39.255.255262,142
7575.40.0.0/1475.40.0.1 to 75.43.255.25475.43.255.255262,142
7675.44.0.0/1475.44.0.1 to 75.47.255.25475.47.255.255262,142
7775.48.0.0/1475.48.0.1 to 75.51.255.25475.51.255.255262,142
7875.52.0.0/1475.52.0.1 to 75.55.255.25475.55.255.255262,142
7975.56.0.0/1475.56.0.1 to 75.59.255.25475.59.255.255262,142
8075.60.0.0/1475.60.0.1 to 75.63.255.25475.63.255.255262,142
8175.64.0.0/1475.64.0.1 to 75.67.255.25475.67.255.255262,142
8275.68.0.0/1475.68.0.1 to 75.71.255.25475.71.255.255262,142
8375.72.0.0/1475.72.0.1 to 75.75.255.25475.75.255.255262,142
8475.76.0.0/1475.76.0.1 to 75.79.255.25475.79.255.255262,142
8575.80.0.0/1475.80.0.1 to 75.83.255.25475.83.255.255262,142
8675.84.0.0/1475.84.0.1 to 75.87.255.25475.87.255.255262,142
8775.88.0.0/1475.88.0.1 to 75.91.255.25475.91.255.255262,142
8875.92.0.0/1475.92.0.1 to 75.95.255.25475.95.255.255262,142
8975.96.0.0/1475.96.0.1 to 75.99.255.25475.99.255.255262,142
9075.100.0.0/1475.100.0.1 to 75.103.255.25475.103.255.255262,142
9175.104.0.0/1475.104.0.1 to 75.107.255.25475.107.255.255262,142
9275.108.0.0/1475.108.0.1 to 75.111.255.25475.111.255.255262,142
9375.112.0.0/1475.112.0.1 to 75.115.255.25475.115.255.255262,142
9475.116.0.0/1475.116.0.1 to 75.119.255.25475.119.255.255262,142
9575.120.0.0/1475.120.0.1 to 75.123.255.25475.123.255.255262,142
9675.124.0.0/1475.124.0.1 to 75.127.255.25475.127.255.255262,142
9775.128.0.0/1475.128.0.1 to 75.131.255.25475.131.255.255262,142
9875.132.0.0/1475.132.0.1 to 75.135.255.25475.135.255.255262,142
9975.136.0.0/1475.136.0.1 to 75.139.255.25475.139.255.255262,142
10075.140.0.0/1475.140.0.1 to 75.143.255.25475.143.255.255262,142
10175.144.0.0/1475.144.0.1 to 75.147.255.25475.147.255.255262,142
10275.148.0.0/1475.148.0.1 to 75.151.255.25475.151.255.255262,142
10375.152.0.0/1475.152.0.1 to 75.155.255.25475.155.255.255262,142
10475.156.0.0/1475.156.0.1 to 75.159.255.25475.159.255.255262,142
10575.160.0.0/1475.160.0.1 to 75.163.255.25475.163.255.255262,142
10675.164.0.0/1475.164.0.1 to 75.167.255.25475.167.255.255262,142
10775.168.0.0/1475.168.0.1 to 75.171.255.25475.171.255.255262,142
10875.172.0.0/1475.172.0.1 to 75.175.255.25475.175.255.255262,142
10975.176.0.0/1475.176.0.1 to 75.179.255.25475.179.255.255262,142
11075.180.0.0/1475.180.0.1 to 75.183.255.25475.183.255.255262,142
11175.184.0.0/1475.184.0.1 to 75.187.255.25475.187.255.255262,142
11275.188.0.0/1475.188.0.1 to 75.191.255.25475.191.255.255262,142
11375.192.0.0/1475.192.0.1 to 75.195.255.25475.195.255.255262,142
11475.196.0.0/1475.196.0.1 to 75.199.255.25475.199.255.255262,142
11575.200.0.0/1475.200.0.1 to 75.203.255.25475.203.255.255262,142
11675.204.0.0/1475.204.0.1 to 75.207.255.25475.207.255.255262,142
11775.208.0.0/1475.208.0.1 to 75.211.255.25475.211.255.255262,142
11875.212.0.0/1475.212.0.1 to 75.215.255.25475.215.255.255262,142
11975.216.0.0/1475.216.0.1 to 75.219.255.25475.219.255.255262,142
12075.220.0.0/1475.220.0.1 to 75.223.255.25475.223.255.255262,142
12175.224.0.0/1475.224.0.1 to 75.227.255.25475.227.255.255262,142
12275.228.0.0/1475.228.0.1 to 75.231.255.25475.231.255.255262,142
12375.232.0.0/1475.232.0.1 to 75.235.255.25475.235.255.255262,142
12475.236.0.0/1475.236.0.1 to 75.239.255.25475.239.255.255262,142
12575.240.0.0/1475.240.0.1 to 75.243.255.25475.243.255.255262,142
12675.244.0.0/1475.244.0.1 to 75.247.255.25475.247.255.255262,142
12775.248.0.0/1475.248.0.1 to 75.251.255.25475.251.255.255262,142
12875.252.0.0/1475.252.0.1 to 75.255.255.25475.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses